# IsOn24 ExAPI sample client app with Node Express & Handlebar Templates

> Use IsOn24 API to connect your apps with IsOn24 AI Voice Assistant Phone calls automation, Text messaging, and over-the-phone appointments [API](https://developer.ison24.com)

## Last updated: 12/31/2023 
1. UX, DB, and API improvements for Appointments synching
2. Added support for synching call records via /calls API and Webhook

## Installation Instructions

### To create a MongoDB cluster
Go to https://www.mongodb.com/pricing and navigate to MongoDB Atlas Shared plan. Sign up as needed.
You will get the MongoDB URL for your cluster in the following format: 
'mongodb+srv://<username>:<password>@<host>/?<flags>'.

### To run the application

```bash
unzip -q <zipfile>
cd ison24-exapi-client-app
mkdir -p ~/.ison24/exapi-client-app/; cp config/config.ini ~/.ison24/exapi-client-app/
# vi ~/.ison24/exapi-client-app/config.ini and fill the DB Url, your hostname, local port, and other info.
npm update
npm start
```

###
Go to <your-host-url>:<local-port> 

## Goals

1. Connect with your IsOn24 account via OAuth2 flow 
2. Receive Text messages via webhook updates and API
3. Send Text messages via API
4. Receive webhook updates for over-the-phone appointments via IsOn24
5. Send your Appointments via API to IsOn24 to sync availability
6. Receive call records via webhook updates and API
