const carouselContainer = document.querySelector('.carousel-container');
const carouselSlides = document.querySelectorAll('.carousel-slide');
const carouselArrows = document.querySelector('.carousel-arrows');
const carouselLeftArrow = document.querySelector('.carousel-left-arrow');
const carouselRightArrow = document.querySelector('.carousel-right-arrow');

let currentSlide = 0;
let isPaused = false;

function moveCarousel() {
  carouselSlides.forEach((slide, index) => {
    if (index === currentSlide) {
      slide.classList.add('active');
    } else {
      slide.classList.remove('active');
    }
  });

  if (!isPaused) {
    currentSlide++;

    if (currentSlide === carouselSlides.length) {
      currentSlide = 0;
    }
  }

  setTimeout(moveCarousel, 5000);
}

moveCarousel();

carouselContainer.addEventListener('click', () => {
  isPaused = true;
  carouselArrows.style.display = 'block';
});

carouselLeftArrow.addEventListener('click', () => {
  currentSlide--;

  if (currentSlide < 0) {
    currentSlide = carouselSlides.length - 1;
  }
});

carouselRightArrow.addEventListener('click', () => {
  currentSlide++;

  if (currentSlide === carouselSlides.length) {
    currentSlide = 0;
  }
});