
import express from "express";
const router = express.Router();

import appController from '../controllers/appController.js';

// Application Routes
router.get('/', appController.home);
router.get('/disconnect', appController.disconnect);

router.get('/conversations', appController.conversations_get);
router.post('/conversations', appController.conversations_post);
router.post('/send-message', appController.send_message);
// router.post('/select-conversation', appController.select_conversation);

router.post('/calls', appController.calls);

router.post('/calendar', appController.appointments_post);
router.get('/calendar', appController.appointments_get);

router.get('/create-appointment', appController.create_appointment_get);
router.post('/create-appointment', appController.create_appointment_post);

router.get('/update-appointment', appController.update_appointment_get);
router.post('/update-appointment', appController.update_appointment_post);

router.post('/cancel-appointment', appController.cancel_appointment);

router.get('/test', appController.test);

export default router;
